aboutsummaryrefslogtreecommitdiffstats
path: root/priv/templates/erl_script
diff options
context:
space:
mode:
Diffstat (limited to 'priv/templates/erl_script')
-rw-r--r--priv/templates/erl_script13
1 files changed, 13 insertions, 0 deletions
diff --git a/priv/templates/erl_script b/priv/templates/erl_script
new file mode 100644
index 0000000..72e93dd
--- /dev/null
+++ b/priv/templates/erl_script
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+SCRIPT_DIR=`dirname $0`
+ROOTDIR=`cd $SCRIPT_DIR/../../ && pwd`
+BINDIR=$ROOTDIR/erts-{{ erts_vsn }}/bin
+EMU=beam
+PROGNAME=`echo $0 | sed 's/.*\\///'`
+export EMU
+export ROOTDIR
+export BINDIR
+export PROGNAME
+exec "$BINDIR/erlexec" ${1+"$@"}